package org.netkernel.module.standard;

import java.net.URI;

import org.netkernel.container.IKernel;
import org.netkernel.layer0.boot.BootUtils;
import org.netkernel.layer0.boot.IModule;
import org.netkernel.layer0.boot.IModuleFactory;
import org.netkernel.layer0.util.XMLReadable;

public class StandardModuleFactory implements IModuleFactory
{

	public IModule buildModule(URI aModuleURI, IKernel aKernel)
			throws Exception
	{
		boolean suitable;
		XMLReadable defn=null;
		try
		{	
			defn=BootUtils.getXMLFrom(aModuleURI,StandardModule.MODULE_DEFN);
			suitable = defn.getText("/module/@version").equals("2.0");
		}
		catch (Exception e)
		{	suitable=false;
		}
		finally { }
		if (suitable)
		{	return new StandardModule(aModuleURI,defn,aKernel);
		}
		else
		{	return null;
		}
	}

}
