package org.netkernel.module.standard.builtin.mapper;

import org.netkernel.layer0.meta.IPrototypeParameterMeta;
import org.netkernel.layer0.meta.impl.DefaultPrototypeMeta;
import org.netkernel.layer0.meta.impl.PrototypeParameterMetaImpl;
import org.netkernel.module.standard.endpoint.IStandardOverlay;
import org.netkernel.module.standard.endpoint.OverlayImpl;
import org.netkernel.urii.IIdentifier;

public class MapperPrototype extends DefaultPrototypeMeta
{
	public static final String PARAM_CONFIG="config";
	
	public static IPrototypeParameterMeta[] sPrototypeParameters = new IPrototypeParameterMeta[]
    {	IStandardOverlay.sPrototypeParameters[0], //space
		new PrototypeParameterMetaImpl(PARAM_CONFIG,IIdentifier.class,IPrototypeParameterMeta.NO_DEFAULT),
  	};
	
	public MapperPrototype()
	{	super(MapperOverlay.class,"Mapper");
	}

	public IPrototypeParameterMeta[] getParameters()
	{	return sPrototypeParameters;
	}

	public String getDescription()
	{	return "maps endpoints in nested space to alternate interface";
	}

	public String getName()
	{	return "Generic Request Mapper";
	}
}